Package org.apache.nutch.util

## Class JexlUtil

- java.lang.Object
- - org.apache.nutch.util.JexlUtil

-     public class JexlUtil
      extends Object

  Utility methods for handling JEXL expressions

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JexlUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.apache.commons.jexl3.JexlScript` | `parseExpression​(String expr)` | Parses the given expression to a JEXL expression.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JexlUtil

          public JexlUtil()

  - ### Method Detail

    - #### parseExpression

          public static org.apache.commons.jexl3.JexlScript parseExpression​(String expr)

      Parses the given expression to a JEXL expression. This supports date parsing.
      Parameters:
        `expr` - string JEXL expression
      Returns:
        parsed JEXL expression or null in case of parse error